Bug 52315 - bash2.04 has bugs. please upgrade.
bash2.04 has bugs. please upgrade.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: bash (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-22 13:55 EDT by Stig Hackvan
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-22 14:02:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stig Hackvan 2001-08-22 13:55:23 EDT
Description of Problem:



From: Stig Hackvdn <stig@hackvan.com>
To: chet@po.CWRU.Edu
Cc:
Bcc:
Subject: Re: stopped working: ENV= HOME=~user exec $BASH
Reply-To:
In-Reply-To: <010822175234.AA49716.SM@nike.ins.cwru.edu>; from 
chet@nike.ins.cwru.edu on
Wed, Aug 22, 2001 at 01:52:34PM -0400

On Wed, Aug 22, 2001 at 01:52:34PM -0400, Chet Ramey wrote:
> > two machines...  w/ different versions of redhat.  latest is 7.1...
>
> That doesn't mean anything to me.  I mean the bash version.  Is it
> 2.04?  If so, it's a bug that was fixed in bash-2.05.  If you like,
> I can forward you the long, nauseating explanation.

thanks, you answered my question..."fixed in 2.05"

i don't mean to be flip, but in the email you just responded to, the fact 
that 
i was using bash 2.04 was visible TWICE....

    > two machines...  w/ different versions of redhat.  latest is 7.1...
    >
    > -- stig/jato (pts/0) -- 1 jobs -- Wed Aug 22 -- 08:52:23 --
    > -- ...rld__Linux-10101010101/txt > bash --version
 ---> GNU bash, version 2.04.21(1)-release (i386-redhat-linux-gnu)
    > Copyright 1999 Free Software Foundation, Inc.
    >
    > On Wed, Aug 22, 2001 at 09:08:09AM -0400, Chet Ramey wrote:
    > > > Machine Type: i386-redhat-linux-gnu
    > > >
 ---> > > Bash Version: 2.04
    > > > Patch Level: 21
    > > > Release Status: release
    > > >
    > > > Description:
    > > >
    > > >  i like to use my own environment as root.
    > > >  for a long time, i've used the /root/.bashrc incantation:
    > > >    ENV= HOME=~stig exec $BASH;
    > > >  do do this.
    > > >
    > > >  with bash2 it stopped working.
    > > >  it works from the command prompt, but not from .bashrc !!!!!
    > >
    > > What is the version of /bin/bash2?
    > >
Comment 1 Bernhard Rosenkraenzer 2001-08-22 15:14:33 EDT
Rawhide has had bash 2.05 for several months.

Note You need to log in before you can comment on or make changes to this bug.